
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% System_Cost_Handover
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Trigger = [0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19];

Call_Arrival_Rate = [0.005 0.010 0.015 0.02 0.025 0.03 0.035 0.04 0.045 0.05];
%0.0003 

% Mean_System_Throughput_RSS_90 = mean(System_Throughput_RSS_90');
% Mean_System_Throughput_RSS_85 = mean(System_Throughput_RSS_85');
% Mean_System_Throughput_RSS_80 = mean(System_Throughput_RSS_80');
% Mean_System_Throughput_SINR = mean(System_Throughput_SINR');



subplot(2,2,2)
plot(Trigger, System_Mean_UE_Throughput_DL./1000,'-s','MarkerSize',3);
ylabel('Mean Throughput (kbps)');xlabel('Trigger Time (100ms)');

subplot(2,2,1)
plot(Trigger, System_Mean_Number_Handover,'-s','MarkerSize',3);
ylabel('Number of Handover');xlabel('Trigger Time (100ms)');

subplot(2,2,3)
plot(Trigger, System_Cost_Handover,'-s','MarkerSize',3);
ylabel('Handover Cost');xlabel('Trigger Time (100ms)');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Avg BS Throughput
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10]; %0.0003 


plot(Call_Arrival_Rate, System_Avg_BS_Throughput_DL_NonAdaptive,'-x','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_BS_Throughput_DL_Adaptive_Cost_U(:,1),'-d','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_BS_Throughput_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_BS_Throughput_DL_Adaptive_Cost_U(:,2),'-o','MarkerSize',4);

ylabel('BS Mean Throughput (kbps)');xlabel('Arrival rate (sessions/second)');
legend('Non-Adaptive','Adpative-Cost','Adpative-Cost+Utilization',4);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Avg AP Throughput
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 


plot(Call_Arrival_Rate, System_Avg_AP_Throughput_DL_NonAdaptive,'-x','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_AP_Throughput_DL_Adaptive_Cost_U(:,1),'-d','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_AP_Throughput_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_AP_Throughput_DL_Adaptive_Cost_U(:,5),'-s','MarkerSize',4);

ylabel('AP Mean Throughput (kbps)');xlabel('Arrival rate (sessions/second)');
legend('Non-Adaptive','Adpative-Cost', 'Adpative-Cost+Utilization',4);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Avg Sys Throughput
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_NonAdaptive,'-x','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,1),'-d','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,3),'-s','MarkerSize',4);

ylabel('Sys Mean Throughput (kbps)');xlabel('Arrival rate (sessions/second)');
legend('Non-Adaptive','Adpative-Cost','Adpative-Cost+Utilization',4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Avg Sys Capacity Gain
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_NonAdaptive,'-x','MarkerSize',4);

plot(Call_Arrival_Rate, (System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,1)- System_Avg_Sys_Throughput_DL_NonAdaptive)*19/1000,'-o','MarkerSize',4);

hold on
%plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, (System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,2)- System_Avg_Sys_Throughput_DL_NonAdaptive)*19/1000,'-d','MarkerSize',4);
plot(Call_Arrival_Rate, (System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,3)- System_Avg_Sys_Throughput_DL_NonAdaptive)*19/1000,'-^','MarkerSize',4);
plot(Call_Arrival_Rate, (System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,4)- System_Avg_Sys_Throughput_DL_NonAdaptive)*19/1000,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, (System_Avg_Sys_Throughput_DL_Adaptive_Cost_U(:,5)- System_Avg_Sys_Throughput_DL_NonAdaptive)*19/1000,'-s','MarkerSize',4);
ylabel('Sys Throughput Gain (Mbps)');xlabel('Arrival rate (sessions/second)');
legend('MASVH k=0','MASVH k=1','MASVH k=2','MASVH k=3','MASVH k=4',4);
xlim([0.005 0.05]);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Avg Sys Dropping
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

plot(Call_Arrival_Rate, System_Avg_Sys_Blocking_DL_NonAdaptive,'-+','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_Sys_Blocking_DL_Adaptive_Cost_U(:,1),'-o','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_Sys_Throughput_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_Sys_Blocking_DL_Adaptive_Cost_U(:,2),'-d','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_Sys_Blocking_DL_Adaptive_Cost_U(:,3),'-o','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_Sys_Blocking_DL_Adaptive_Cost_U(:,4),'-^','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_Sys_Blocking_DL_Adaptive_Cost_U(:,5),'-v','MarkerSize',4);
xlim([0.005 0.05]);
ylabel('Sys Dropping Probability');xlabel('Arrival rate (sessions/second)');
legend('CSVH','MASVH k=0','MASVH k=1',4);
%legend('Non-Adaptive','Adpative-Cost','Adpative-Cost b=1','Adpative-Cost b=2','Adpative-Cost b=3','Adpative-Cost b=4',4);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% System Cost Handover
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

plot(Call_Arrival_Rate, System_Avg_UE_Cost_NonAdaptive,'-+','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_UE_Cost_Adaptive_Cost_U(:,1)','-o','MarkerSize',4);

%plot(Call_Arrival_Rate, System_Avg_UE_Cost_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_UE_Cost_Adaptive_Cost_U(:,2)','-d','MarkerSize',4);
% plot(Call_Arrival_Rate, System_Avg_UE_Cost_Adaptive_Cost_U(:,3)','-d','MarkerSize',4);
% plot(Call_Arrival_Rate, System_Avg_UE_Cost_Adaptive_Cost_U(:,4)','-^','MarkerSize',4);
% plot(Call_Arrival_Rate, System_Avg_UE_Cost_Adaptive_Cost_U(:,4)','-v','MarkerSize',4);
xlim([0.005 0.05]);
ylabel('User Average Cost');xlabel('Arrival rate (sessions/second)');
legend('CSVH','MASVH k=0','MASVH k=1',1);
% legend('Non-Adaptive','Adpative b=0','Adpative b=1','Adpative b=2','Adpative b=3',1);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% BS Utilization
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

% Mean_System_Throughput_RSS_90 = mean(System_Throughput_RSS_90');
% Mean_System_Throughput_RSS_85 = mean(System_Throughput_RSS_85');
% Mean_System_Throughput_RSS_80 = mean(System_Throughput_RSS_80');
% Mean_System_Throughput_SINR = mean(System_Throughput_SINR');

plot(Call_Arrival_Rate, System_Avg_BS_Utilization_DL_NonAdaptive,'-+','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_BS_Utilization_DL_Adaptive_Cost_U(:,1),'-o','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_BS_Utilization_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_BS_Utilization_DL_Adaptive_Cost_U(:,2),'-d','MarkerSize',4);
xlim([0.005 0.05]);

ylabel('BS Utilization');xlabel('Arrival rate (sessions/second)');
legend('Non-Adaptive','Adaptive k=0','Adpative k=1',4);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% AP Utilization
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

% Mean_System_Throughput_RSS_90 = mean(System_Throughput_RSS_90');
% Mean_System_Throughput_RSS_85 = mean(System_Throughput_RSS_85');
% Mean_System_Throughput_RSS_80 = mean(System_Throughput_RSS_80');
% Mean_System_Throughput_SINR = mean(System_Throughput_SINR');

plot(Call_Arrival_Rate, System_Avg_AP_Utilization_DL_NonAdaptive,'-+','MarkerSize',4);
hold on
plot(Call_Arrival_Rate, System_Avg_AP_Utilization_DL_Adaptive_Cost_U(:,1),'-o','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_AP_Utilization_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_AP_Utilization_DL_Adaptive_Cost_U(:,2),'-d','MarkerSize',4);
xlim([0.005 0.05]);
ylabel('AP Utilization');xlabel('Arrival rate (sessions/second)');
legend('Non-Adaptive','Adaptive k=0','Adaptive k=1',4);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Sys Utilization
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Call_Arrival_Rate = [0.01 0.02 0.03 0.04 0.05 0.06 0.07 0.08 0.09 0.10 ]; %0.0003 

% Mean_System_Throughput_RSS_90 = mean(System_Throughput_RSS_90');
% Mean_System_Throughput_RSS_85 = mean(System_Throughput_RSS_85');
% Mean_System_Throughput_RSS_80 = mean(System_Throughput_RSS_80');
% Mean_System_Throughput_SINR = mean(System_Throughput_SINR');

plot(Call_Arrival_Rate, System_Avg_Sys_Utilization_DL_NonAdaptive,'-x','MarkerSize',4);
hold onxlim([0.005 0.05]);
plot(Call_Arrival_Rate, System_Avg_Sys_Utilization_DL_Adaptive_Cost_U(:,1),'-d','MarkerSize',4);
%plot(Call_Arrival_Rate, System_Avg_Sys_Utilization_DL_Adaptive_U,'-v','MarkerSize',4);
plot(Call_Arrival_Rate, System_Avg_Sys_Utilization_DL_Adaptive_Cost_U(:,2),'-s','MarkerSize',4);
xlim([0.005 0.05]);
ylabel('Sys Utilization');xlabel('Arrival rate (sessions/second)');
legend('Non-Adaptive','Adpative-Cost','Adpative-Cost+Utilization',4);


